{ config, ... }:

{
  config.services.postgresqlBackup = {
    inherit (config.services.postgresql) enable;
    backupAll = true;
    compression = "zstd";
    compressionLevel = 9;
    pgdumpOptions = "--create --clean";
    startAt = "*-*-* 06:00:00";
  };
}
