{ pkgs, lib, ... }:

{
  services.prometheus.exporters.node = lib.mkIf (pkgs.system != "riscv64-linux") {
    enable = true;
    enabledCollectors = [ "ethtool" "systemd" ];
    openFirewall = true;
  };
}
